Subject: bug#10907: 24.0.94; Updating display of Customize buffer

From: "Drew Adams" <[email-masked]>
Date: Tue, 28 Feb 2012 14:11:22 -0800

> *Note (elisp) Customization Types::
> You specify the customization type in `defcustom' with 
> the `:type' keyword.  The argument of `:type' is evaluated,
> but only once when the `defcustom' is executed, so it isn't
> useful for the value to vary.

Having this in the Elisp manual helps developers, but it is not all that helpful
for a Customize user trying to understand the behavior.

Stephen described a purely end-user interaction.  And yes, the behavior is not
obvious.  We obviously felt it sufficiently non-obvious to add that paragraph to
the Elisp manual.  End users deserve some info that helps them too understand a
bit.

At the least there seems to be an Emacs-manual doc bug here. Let's please add
something to help users navigate the labyrinth.